// -----------
// This file was generated by riscv_ctg (https://gitlab.com/incoresemi/riscv-compliance/riscv_ctg)
// version   : 0.4.5
// timestamp : Thu May 20 05:54:26 2021 GMT
// usage     : riscv_ctg \
//                  --cgf /scratch/git-repo/github/riscv-ctg/sample_cgfs/dataset.cgf \
//                  --cgf /scratch/git-repo/github/riscv-ctg/sample_cgfs/rv32i_k.cgf \
//                  --base-isa rv32i \
//                  --randomize
// -----------
//
// -----------
// Copyright (c) 2021. Indian Institute of Technology Madras. All rights reserved.
// SPDX-License-Identifier: BSD-3-Clause
// -----------
//
// This assembly file tests the pack instruction of the RISC-V  extension for the pack covergroup.
// 
#include "model_test.h"
#include "arch_test.h"
RVTEST_ISA("RV32I")

.section .text.init
.globl rvtest_entry_point
rvtest_entry_point:
RVMODEL_BOOT
RVTEST_CODE_BEGIN

#ifdef TEST_CASE_1

RVTEST_CASE(0,"//check ISA:=regex(.*32.*);check ISA:=regex(.*I.*K.*);def TEST_CASE_1=True;",pack)

RVTEST_CASE(1,"//check ISA:=regex(.*32.*);check ISA:=regex(.*I.*ZKs.*);def TEST_CASE_1=True;",pack)

RVTEST_CASE(2,"//check ISA:=regex(.*32.*);check ISA:=regex(.*I.*ZKn.*);def TEST_CASE_1=True;",pack)

RVTEST_CASE(3,"//check ISA:=regex(.*32.*);check ISA:=regex(.*I.*ZKb.*);def TEST_CASE_1=True;",pack)

RVTEST_SIGBASE( x14,signature_x14_1)

inst_0:
// rs2 == rd != rs1, rs1==x23, rs2==x29, rd==x29, rs1_val == 0xFFFFFFFF and rs2_val == 0x08577EB1 
// opcode: pack ; op1:x23; op2:x29; dest:x29; op1val:0xffffffff;  op2val:0x8577eb1
TEST_RR_OP(pack, x29, x23, x29, 0x00000000, 0xffffffff, 0x8577eb1, x14, 0, x3)

inst_1:
// rs1 == rd != rs2, rs1==x25, rs2==x24, rd==x25, rs2_val == 0x00000000 and rs1_val == 0x4FFE831A 
// opcode: pack ; op1:x25; op2:x24; dest:x25; op1val:0x4ffe831a;  op2val:0x0
TEST_RR_OP(pack, x25, x25, x24, 0x00000000, 0x4ffe831a, 0x0, x14, 4, x3)

inst_2:
// rs1 == rs2 != rd, rs1==x2, rs2==x2, rd==x21, rs2_val == 0x80000000 and rs1_val == 0xAFC08ACE 
// opcode: pack ; op1:x2; op2:x2; dest:x21; op1val:0xafc08ace;  op2val:0xafc08ace
TEST_RR_OP(pack, x21, x2, x2, 0x00000000, 0xafc08ace, 0xafc08ace, x14, 8, x3)

inst_3:
// rs1 != rs2  and rs1 != rd and rs2 != rd, rs1==x0, rs2==x21, rd==x13, rs2_val == 0x40000000 and rs1_val == 0xAF6E9055 
// opcode: pack ; op1:x0; op2:x21; dest:x13; op1val:0x0;  op2val:0x40000000
TEST_RR_OP(pack, x13, x0, x21, 0x00000000, 0x0, 0x40000000, x14, 12, x3)

inst_4:
// rs1 == rs2 == rd, rs1==x30, rs2==x30, rd==x30, rs2_val == 0xE0000000 and rs1_val == 0x5B130474 
// opcode: pack ; op1:x30; op2:x30; dest:x30; op1val:0x5b130474;  op2val:0x5b130474
TEST_RR_OP(pack, x30, x30, x30, 0x00000000, 0x5b130474, 0x5b130474, x14, 16, x3)

inst_5:
// rs1==x16, rs2==x13, rd==x12, rs2_val == 0x90000000 and rs1_val == 0x3EEA126E 
// opcode: pack ; op1:x16; op2:x13; dest:x12; op1val:0x3eea126e;  op2val:0x90000000
TEST_RR_OP(pack, x12, x16, x13, 0x00000000, 0x3eea126e, 0x90000000, x14, 20, x3)

inst_6:
// rs1==x17, rs2==x16, rd==x26, rs2_val == 0xB8000000 and rs1_val == 0x9C734D77 
// opcode: pack ; op1:x17; op2:x16; dest:x26; op1val:0x9c734d77;  op2val:0xb8000000
TEST_RR_OP(pack, x26, x17, x16, 0x00000000, 0x9c734d77, 0xb8000000, x14, 24, x3)

inst_7:
// rs1==x10, rs2==x19, rd==x1, rs2_val == 0xB4000000 and rs1_val == 0x5A694BCA 
// opcode: pack ; op1:x10; op2:x19; dest:x1; op1val:0x5a694bca;  op2val:0xb4000000
TEST_RR_OP(pack, x1, x10, x19, 0x00000000, 0x5a694bca, 0xb4000000, x14, 28, x3)

inst_8:
// rs1==x21, rs2==x7, rd==x18, rs2_val == 0x3E000000 and rs1_val == 0xED52E4CA 
// opcode: pack ; op1:x21; op2:x7; dest:x18; op1val:0xed52e4ca;  op2val:0x3e000000
TEST_RR_OP(pack, x18, x21, x7, 0x00000000, 0xed52e4ca, 0x3e000000, x14, 32, x3)

inst_9:
// rs1==x19, rs2==x20, rd==x31, rs2_val == 0xFB000000 and rs1_val == 0xB5CB2A93 
// opcode: pack ; op1:x19; op2:x20; dest:x31; op1val:0xb5cb2a93;  op2val:0xfb000000
TEST_RR_OP(pack, x31, x19, x20, 0x00000000, 0xb5cb2a93, 0xfb000000, x14, 36, x3)

inst_10:
// rs1==x13, rs2==x5, rd==x15, rs2_val == 0x68800000 and rs1_val == 0x29324E16 
// opcode: pack ; op1:x13; op2:x5; dest:x15; op1val:0x29324e16;  op2val:0x68800000
TEST_RR_OP(pack, x15, x13, x5, 0x00000000, 0x29324e16, 0x68800000, x14, 40, x3)

inst_11:
// rs1==x24, rs2==x31, rd==x0, rs2_val == 0xB7400000 and rs1_val == 0xBC5FB419 
// opcode: pack ; op1:x24; op2:x31; dest:x0; op1val:0xbc5fb419;  op2val:0xb7400000
TEST_RR_OP(pack, x0, x24, x31, 0x00000000, 0xbc5fb419, 0xb7400000, x14, 44, x3)

inst_12:
// rs1==x31, rs2==x12, rd==x7, rs2_val == 0x5CE00000 and rs1_val == 0x8E92E1B8 
// opcode: pack ; op1:x31; op2:x12; dest:x7; op1val:0x8e92e1b8;  op2val:0x5ce00000
TEST_RR_OP(pack, x7, x31, x12, 0x00000000, 0x8e92e1b8, 0x5ce00000, x14, 48, x3)

inst_13:
// rs1==x9, rs2==x10, rd==x17, rs2_val == 0x49F00000 and rs1_val == 0x96A3B48B 
// opcode: pack ; op1:x9; op2:x10; dest:x17; op1val:0x96a3b48b;  op2val:0x49f00000
TEST_RR_OP(pack, x17, x9, x10, 0x00000000, 0x96a3b48b, 0x49f00000, x14, 52, x3)

inst_14:
// rs1==x6, rs2==x27, rd==x9, rs2_val == 0x53D80000 and rs1_val == 0x0A095049 
// opcode: pack ; op1:x6; op2:x27; dest:x9; op1val:0xa095049;  op2val:0x53d80000
TEST_RR_OP(pack, x9, x6, x27, 0x00000000, 0xa095049, 0x53d80000, x14, 56, x3)

inst_15:
// rs1==x11, rs2==x18, rd==x5, rs2_val == 0x2EC40000 and rs1_val == 0x6F6E71B7 
// opcode: pack ; op1:x11; op2:x18; dest:x5; op1val:0x6f6e71b7;  op2val:0x2ec40000
TEST_RR_OP(pack, x5, x11, x18, 0x00000000, 0x6f6e71b7, 0x2ec40000, x14, 60, x3)

inst_16:
// rs1==x4, rs2==x17, rd==x8, rs2_val == 0x8E860000 and rs1_val == 0x236CC43D 
// opcode: pack ; op1:x4; op2:x17; dest:x8; op1val:0x236cc43d;  op2val:0x8e860000
TEST_RR_OP(pack, x8, x4, x17, 0x00000000, 0x236cc43d, 0x8e860000, x14, 64, x3)

inst_17:
// rs1==x12, rs2==x3, rd==x23, rs2_val == 0x6FBF0000 and rs1_val == 0xE2ED8971 
// opcode: pack ; op1:x12; op2:x3; dest:x23; op1val:0xe2ed8971;  op2val:0x6fbf0000
TEST_RR_OP(pack, x23, x12, x3, 0x00000000, 0xe2ed8971, 0x6fbf0000, x14, 68, x17)
RVTEST_SIGBASE( x13,signature_x13_0)

inst_18:
// rs1==x5, rs2==x4, rd==x16, rs2_val == 0x354E8000 and rs1_val == 0x06FA7B3E 
// opcode: pack ; op1:x5; op2:x4; dest:x16; op1val:0x6fa7b3e;  op2val:0x354e8000
TEST_RR_OP(pack, x16, x5, x4, 0x00000000, 0x6fa7b3e, 0x354e8000, x13, 0, x17)

inst_19:
// rs1==x29, rs2==x25, rd==x2, rs2_val == 0xFB07C000 and rs1_val == 0x4143DA51 
// opcode: pack ; op1:x29; op2:x25; dest:x2; op1val:0x4143da51;  op2val:0xfb07c000
TEST_RR_OP(pack, x2, x29, x25, 0x00000000, 0x4143da51, 0xfb07c000, x13, 4, x17)

inst_20:
// rs1==x26, rs2==x8, rd==x11, rs2_val == 0xDFFA2000 and rs1_val == 0xCAC78511 
// opcode: pack ; op1:x26; op2:x8; dest:x11; op1val:0xcac78511;  op2val:0xdffa2000
TEST_RR_OP(pack, x11, x26, x8, 0x00000000, 0xcac78511, 0xdffa2000, x13, 8, x17)

inst_21:
// rs1==x27, rs2==x11, rd==x3, rs2_val == 0x45D1F000 and rs1_val == 0xDF880B11 
// opcode: pack ; op1:x27; op2:x11; dest:x3; op1val:0xdf880b11;  op2val:0x45d1f000
TEST_RR_OP(pack, x3, x27, x11, 0x00000000, 0xdf880b11, 0x45d1f000, x13, 12, x17)

inst_22:
// rs1==x14, rs2==x28, rd==x4, rs2_val == 0x9069A800 and rs1_val == 0xBD230058 
// opcode: pack ; op1:x14; op2:x28; dest:x4; op1val:0xbd230058;  op2val:0x9069a800
TEST_RR_OP(pack, x4, x14, x28, 0x00000000, 0xbd230058, 0x9069a800, x13, 16, x17)

inst_23:
// rs1==x1, rs2==x26, rd==x24, rs2_val == 0xF5B1B400 and rs1_val == 0xF2597377 
// opcode: pack ; op1:x1; op2:x26; dest:x24; op1val:0xf2597377;  op2val:0xf5b1b400
TEST_RR_OP(pack, x24, x1, x26, 0x00000000, 0xf2597377, 0xf5b1b400, x13, 20, x17)

inst_24:
// rs1==x18, rs2==x14, rd==x27, rs2_val == 0x06B6DA00 and rs1_val == 0x5A8E7F31 
// opcode: pack ; op1:x18; op2:x14; dest:x27; op1val:0x5a8e7f31;  op2val:0x6b6da00
TEST_RR_OP(pack, x27, x18, x14, 0x00000000, 0x5a8e7f31, 0x6b6da00, x13, 24, x17)

inst_25:
// rs1==x20, rs2==x9, rd==x10, rs2_val == 0xBFB0F100 and rs1_val == 0x7A3621F5 
// opcode: pack ; op1:x20; op2:x9; dest:x10; op1val:0x7a3621f5;  op2val:0xbfb0f100
TEST_RR_OP(pack, x10, x20, x9, 0x00000000, 0x7a3621f5, 0xbfb0f100, x13, 28, x17)

inst_26:
// rs1==x15, rs2==x6, rd==x14, rs2_val == 0xD838C880 and rs1_val == 0x1E3C492C 
// opcode: pack ; op1:x15; op2:x6; dest:x14; op1val:0x1e3c492c;  op2val:0xd838c880
TEST_RR_OP(pack, x14, x15, x6, 0x00000000, 0x1e3c492c, 0xd838c880, x13, 32, x17)

inst_27:
// rs1==x28, rs2==x22, rd==x19, rs2_val == 0x5C46AEC0 and rs1_val == 0xD4FAF4B1 
// opcode: pack ; op1:x28; op2:x22; dest:x19; op1val:0xd4faf4b1;  op2val:0x5c46aec0
TEST_RR_OP(pack, x19, x28, x22, 0x00000000, 0xd4faf4b1, 0x5c46aec0, x13, 36, x17)

inst_28:
// rs1==x3, rs2==x0, rd==x6, rs2_val == 0xCF7AC620 and rs1_val == 0x27A16894 
// opcode: pack ; op1:x3; op2:x0; dest:x6; op1val:0x27a16894;  op2val:0x0
TEST_RR_OP(pack, x6, x3, x0, 0x00000000, 0x27a16894, 0x0, x13, 40, x17)

inst_29:
// rs1==x8, rs2==x15, rd==x22, rs2_val == 0x05C2F650 and rs1_val == 0x0A3EF19E 
// opcode: pack ; op1:x8; op2:x15; dest:x22; op1val:0xa3ef19e;  op2val:0x5c2f650
TEST_RR_OP(pack, x22, x8, x15, 0x00000000, 0xa3ef19e, 0x5c2f650, x13, 44, x17)

inst_30:
// rs1==x7, rs2==x1, rd==x20, rs2_val == 0xEEC50588 and rs1_val == 0xCB8193EF 
// opcode: pack ; op1:x7; op2:x1; dest:x20; op1val:0xcb8193ef;  op2val:0xeec50588
TEST_RR_OP(pack, x20, x7, x1, 0x00000000, 0xcb8193ef, 0xeec50588, x13, 48, x17)

inst_31:
// rs1==x22, rs2==x23, rd==x28, rs2_val == 0xCA7160CC and rs1_val == 0x577F8847 
// opcode: pack ; op1:x22; op2:x23; dest:x28; op1val:0x577f8847;  op2val:0xca7160cc
TEST_RR_OP(pack, x28, x22, x23, 0x00000000, 0x577f8847, 0xca7160cc, x13, 52, x17)

inst_32:
// rs2_val == 0x60E30DA2 and rs1_val == 0x9B5EAF0A 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x9b5eaf0a;  op2val:0x60e30da2
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x9b5eaf0a, 0x60e30da2, x13, 56, x17)

inst_33:
// rs2_val == 0x76F86039 and rs1_val == 0x5D3BBCE0 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x5d3bbce0;  op2val:0x76f86039
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x5d3bbce0, 0x76f86039, x13, 60, x17)

inst_34:
// rs1_val == 0x00000000 and rs2_val == 0xFD1032E8 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x0;  op2val:0xfd1032e8
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x0, 0xfd1032e8, x13, 64, x17)

inst_35:
// rs1_val == 0x80000000 and rs2_val == 0x7B246C17 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x80000000;  op2val:0x7b246c17
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x80000000, 0x7b246c17, x13, 68, x17)

inst_36:
// rs1_val == 0x40000000 and rs2_val == 0x56F3EEF1 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x40000000;  op2val:0x56f3eef1
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x40000000, 0x56f3eef1, x13, 72, x17)

inst_37:
// rs1_val == 0xA0000000 and rs2_val == 0x75923260 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0xa0000000;  op2val:0x75923260
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0xa0000000, 0x75923260, x13, 76, x17)

inst_38:
// rs1_val == 0x10000000 and rs2_val == 0xB9D3087C 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x10000000;  op2val:0xb9d3087c
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x10000000, 0xb9d3087c, x13, 80, x17)

inst_39:
// rs1_val == 0xA8000000 and rs2_val == 0x46CBD355 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0xa8000000;  op2val:0x46cbd355
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0xa8000000, 0x46cbd355, x13, 84, x17)

inst_40:
// rs1_val == 0xE4000000 and rs2_val == 0x4616E73D 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0xe4000000;  op2val:0x4616e73d
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0xe4000000, 0x4616e73d, x13, 88, x17)

inst_41:
// rs1_val == 0x8E000000 and rs2_val == 0x8CCAEC71 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x8e000000;  op2val:0x8ccaec71
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x8e000000, 0x8ccaec71, x13, 92, x17)

inst_42:
// rs1_val == 0x13000000 and rs2_val == 0x9B774054 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x13000000;  op2val:0x9b774054
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x13000000, 0x9b774054, x13, 96, x17)

inst_43:
// rs1_val == 0x8B800000 and rs2_val == 0x6D5FCD18 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x8b800000;  op2val:0x6d5fcd18
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x8b800000, 0x6d5fcd18, x13, 100, x17)

inst_44:
// rs1_val == 0x7EC00000 and rs2_val == 0x0696F561 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x7ec00000;  op2val:0x696f561
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x7ec00000, 0x696f561, x13, 104, x17)

inst_45:
// rs1_val == 0x3DA00000 and rs2_val == 0x6E1E98E2 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x3da00000;  op2val:0x6e1e98e2
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x3da00000, 0x6e1e98e2, x13, 108, x17)

inst_46:
// rs1_val == 0x20100000 and rs2_val == 0x2DEDB6A7 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x20100000;  op2val:0x2dedb6a7
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x20100000, 0x2dedb6a7, x13, 112, x17)

inst_47:
// rs1_val == 0x98380000 and rs2_val == 0x3C272728 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x98380000;  op2val:0x3c272728
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x98380000, 0x3c272728, x13, 116, x17)

inst_48:
// rs1_val == 0x80F40000 and rs2_val == 0x4F55C73D 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x80f40000;  op2val:0x4f55c73d
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x80f40000, 0x4f55c73d, x13, 120, x17)

inst_49:
// rs1_val == 0x43560000 and rs2_val == 0xB0AB577A 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x43560000;  op2val:0xb0ab577a
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x43560000, 0xb0ab577a, x13, 124, x17)

inst_50:
// rs1_val == 0x62A90000 and rs2_val == 0x42F5D75E 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x62a90000;  op2val:0x42f5d75e
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x62a90000, 0x42f5d75e, x13, 128, x17)

inst_51:
// rs1_val == 0x60348000 and rs2_val == 0xB9F09825 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x60348000;  op2val:0xb9f09825
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x60348000, 0xb9f09825, x13, 132, x17)

inst_52:
// rs1_val == 0x5EF6C000 and rs2_val == 0x9BFAD94F 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x5ef6c000;  op2val:0x9bfad94f
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x5ef6c000, 0x9bfad94f, x13, 136, x17)

inst_53:
// rs1_val == 0x79DF6000 and rs2_val == 0x98918DD8 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x79df6000;  op2val:0x98918dd8
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x79df6000, 0x98918dd8, x13, 140, x17)

inst_54:
// rs1_val == 0x864C1000 and rs2_val == 0x9B811F47 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x864c1000;  op2val:0x9b811f47
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x864c1000, 0x9b811f47, x13, 144, x17)

inst_55:
// rs1_val == 0x735CB800 and rs2_val == 0xD0D18FB0 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x735cb800;  op2val:0xd0d18fb0
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x735cb800, 0xd0d18fb0, x13, 148, x17)

inst_56:
// rs1_val == 0x29554400 and rs2_val == 0x71992790 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x29554400;  op2val:0x71992790
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x29554400, 0x71992790, x13, 152, x17)

inst_57:
// rs1_val == 0xA9A56A00 and rs2_val == 0x8248F803 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0xa9a56a00;  op2val:0x8248f803
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0xa9a56a00, 0x8248f803, x13, 156, x17)

inst_58:
// rs1_val == 0xC3405D00 and rs2_val == 0xEB3D7873 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0xc3405d00;  op2val:0xeb3d7873
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0xc3405d00, 0xeb3d7873, x13, 160, x17)

inst_59:
// rs1_val == 0x394D8080 and rs2_val == 0xD7A7BF5E 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x394d8080;  op2val:0xd7a7bf5e
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x394d8080, 0xd7a7bf5e, x13, 164, x17)

inst_60:
// rs1_val == 0xC6677840 and rs2_val == 0xD1BA5C0F 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0xc6677840;  op2val:0xd1ba5c0f
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0xc6677840, 0xd1ba5c0f, x13, 168, x17)

inst_61:
// rs1_val == 0x70598E60 and rs2_val == 0xD19E3224 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x70598e60;  op2val:0xd19e3224
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x70598e60, 0xd19e3224, x13, 172, x17)

inst_62:
// rs1_val == 0x98A59F90 and rs2_val == 0x35D30D74 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x98a59f90;  op2val:0x35d30d74
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x98a59f90, 0x35d30d74, x13, 176, x17)

inst_63:
// rs1_val == 0xD306DEB8 and rs2_val == 0x70A76E49 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0xd306deb8;  op2val:0x70a76e49
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0xd306deb8, 0x70a76e49, x13, 180, x17)

inst_64:
// rs1_val == 0x18A01374 and rs2_val == 0x9FCDB9E1 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x18a01374;  op2val:0x9fcdb9e1
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x18a01374, 0x9fcdb9e1, x13, 184, x17)

inst_65:
// rs1_val == 0xC3667402 and rs2_val == 0x5FEFE911 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0xc3667402;  op2val:0x5fefe911
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0xc3667402, 0x5fefe911, x13, 188, x17)

inst_66:
// rs1_val == 0x797D76DF and rs2_val == 0x598B88DB 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x797d76df;  op2val:0x598b88db
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x797d76df, 0x598b88db, x13, 192, x17)

inst_67:
// rs2_val == 0x0C04F662 and rs1_val == 0xB7E7669E 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0xb7e7669e;  op2val:0xc04f662
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0xb7e7669e, 0xc04f662, x13, 196, x17)

inst_68:
// rs2_val == 0xCD41CAD1 and rs1_val == 0xD24F0724 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0xd24f0724;  op2val:0xcd41cad1
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0xd24f0724, 0xcd41cad1, x13, 200, x17)

inst_69:
// rs2_val == 0x1203965B and rs1_val == 0x585022A3 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x585022a3;  op2val:0x1203965b
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x585022a3, 0x1203965b, x13, 204, x17)

inst_70:
// rs2_val == 0x7A9AC0A7 and rs1_val == 0xEE8F948A 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0xee8f948a;  op2val:0x7a9ac0a7
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0xee8f948a, 0x7a9ac0a7, x13, 208, x17)

inst_71:
// rs2_val == 0x2AA8E42F and rs1_val == 0x2655FA99 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x2655fa99;  op2val:0x2aa8e42f
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x2655fa99, 0x2aa8e42f, x13, 212, x17)

inst_72:
// rs2_val == 0x211D785F and rs1_val == 0x0C96A183 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0xc96a183;  op2val:0x211d785f
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0xc96a183, 0x211d785f, x13, 216, x17)

inst_73:
// rs2_val == 0x59DDE33F and rs1_val == 0x88F931F4 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x88f931f4;  op2val:0x59dde33f
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x88f931f4, 0x59dde33f, x13, 220, x17)

inst_74:
// rs2_val == 0x711E627F and rs1_val == 0x6F2BF862 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x6f2bf862;  op2val:0x711e627f
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x6f2bf862, 0x711e627f, x13, 224, x17)

inst_75:
// rs2_val == 0x19835AFF and rs1_val == 0x5C6C32A5 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x5c6c32a5;  op2val:0x19835aff
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x5c6c32a5, 0x19835aff, x13, 228, x17)

inst_76:
// rs2_val == 0x088B3DFF and rs1_val == 0x58FC0342 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x58fc0342;  op2val:0x88b3dff
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x58fc0342, 0x88b3dff, x13, 232, x17)

inst_77:
// rs2_val == 0x9A6DA3FF and rs1_val == 0x636A75E3 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x636a75e3;  op2val:0x9a6da3ff
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x636a75e3, 0x9a6da3ff, x13, 236, x17)

inst_78:
// rs2_val == 0x37E0D7FF and rs1_val == 0x4ED62428 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x4ed62428;  op2val:0x37e0d7ff
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x4ed62428, 0x37e0d7ff, x13, 240, x17)

inst_79:
// rs2_val == 0x5E59CFFF and rs1_val == 0xD2D12745 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0xd2d12745;  op2val:0x5e59cfff
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0xd2d12745, 0x5e59cfff, x13, 244, x17)

inst_80:
// rs2_val == 0xDD129FFF and rs1_val == 0x0D770F3C 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0xd770f3c;  op2val:0xdd129fff
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0xd770f3c, 0xdd129fff, x13, 248, x17)

inst_81:
// rs2_val == 0x872EBFFF and rs1_val == 0x2311ACFB 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x2311acfb;  op2val:0x872ebfff
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x2311acfb, 0x872ebfff, x13, 252, x17)

inst_82:
// rs2_val == 0x55367FFF and rs1_val == 0x0FB13BBC 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0xfb13bbc;  op2val:0x55367fff
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0xfb13bbc, 0x55367fff, x13, 256, x17)

inst_83:
// rs2_val == 0xFDD2FFFF and rs1_val == 0x8DFC2307 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x8dfc2307;  op2val:0xfdd2ffff
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x8dfc2307, 0xfdd2ffff, x13, 260, x17)

inst_84:
// rs2_val == 0x30BDFFFF and rs1_val == 0x7312BE6D 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x7312be6d;  op2val:0x30bdffff
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x7312be6d, 0x30bdffff, x13, 264, x17)

inst_85:
// rs2_val == 0xA743FFFF and rs1_val == 0xC61B1FBF 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0xc61b1fbf;  op2val:0xa743ffff
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0xc61b1fbf, 0xa743ffff, x13, 268, x17)

inst_86:
// rs2_val == 0x9987FFFF and rs1_val == 0xEBDA5A4F 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0xebda5a4f;  op2val:0x9987ffff
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0xebda5a4f, 0x9987ffff, x13, 272, x17)

inst_87:
// rs2_val == 0x118FFFFF and rs1_val == 0xC215E193 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0xc215e193;  op2val:0x118fffff
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0xc215e193, 0x118fffff, x13, 276, x17)

inst_88:
// rs2_val == 0x65DFFFFF and rs1_val == 0x75EE935F 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x75ee935f;  op2val:0x65dfffff
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x75ee935f, 0x65dfffff, x13, 280, x17)

inst_89:
// rs2_val == 0x6CBFFFFF and rs1_val == 0x09C16162 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x9c16162;  op2val:0x6cbfffff
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x9c16162, 0x6cbfffff, x13, 284, x17)

inst_90:
// rs2_val == 0x347FFFFF and rs1_val == 0xA4053175 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0xa4053175;  op2val:0x347fffff
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0xa4053175, 0x347fffff, x13, 288, x17)

inst_91:
// rs2_val == 0xC4FFFFFF and rs1_val == 0x499006C8 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x499006c8;  op2val:0xc4ffffff
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x499006c8, 0xc4ffffff, x13, 292, x17)

inst_92:
// rs2_val == 0x41FFFFFF and rs1_val == 0x3C5B3EEE 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x3c5b3eee;  op2val:0x41ffffff
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x3c5b3eee, 0x41ffffff, x13, 296, x17)

inst_93:
// rs2_val == 0x6BFFFFFF and rs1_val == 0xD95FD86A 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0xd95fd86a;  op2val:0x6bffffff
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0xd95fd86a, 0x6bffffff, x13, 300, x17)

inst_94:
// rs2_val == 0x87FFFFFF and rs1_val == 0x25784F4F 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x25784f4f;  op2val:0x87ffffff
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x25784f4f, 0x87ffffff, x13, 304, x17)

inst_95:
// rs2_val == 0xCFFFFFFF and rs1_val == 0x082018FA 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x82018fa;  op2val:0xcfffffff
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x82018fa, 0xcfffffff, x13, 308, x17)

inst_96:
// rs2_val == 0x9FFFFFFF and rs1_val == 0x350CC530 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x350cc530;  op2val:0x9fffffff
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x350cc530, 0x9fffffff, x13, 312, x17)

inst_97:
// rs2_val == 0x3FFFFFFF and rs1_val == 0x7966A24E 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x7966a24e;  op2val:0x3fffffff
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x7966a24e, 0x3fffffff, x13, 316, x17)

inst_98:
// rs2_val == 0x7FFFFFFF and rs1_val == 0x51D6D6DA 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x51d6d6da;  op2val:0x7fffffff
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x51d6d6da, 0x7fffffff, x13, 320, x17)

inst_99:
// rs2_val == 0xFFFFFFFF and rs1_val == 0xD5A2038F 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0xd5a2038f;  op2val:0xffffffff
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0xd5a2038f, 0xffffffff, x13, 324, x17)

inst_100:
// rs1_val == 0xFF7746E6 and rs2_val == 0x4F829B65 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0xff7746e6;  op2val:0x4f829b65
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0xff7746e6, 0x4f829b65, x13, 328, x17)

inst_101:
// rs1_val == 0xF89A7241 and rs2_val == 0x00C2F091 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0xf89a7241;  op2val:0xc2f091
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0xf89a7241, 0xc2f091, x13, 332, x17)

inst_102:
// rs1_val == 0x11B36A93 and rs2_val == 0xB1F5D853 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x11b36a93;  op2val:0xb1f5d853
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x11b36a93, 0xb1f5d853, x13, 336, x17)

inst_103:
// rs1_val == 0xC9932457 and rs2_val == 0x39BE2172 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0xc9932457;  op2val:0x39be2172
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0xc9932457, 0x39be2172, x13, 340, x17)

inst_104:
// rs1_val == 0x4B9A6C8F and rs2_val == 0x316039EE 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x4b9a6c8f;  op2val:0x316039ee
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x4b9a6c8f, 0x316039ee, x13, 344, x17)

inst_105:
// rs1_val == 0x9541241F and rs2_val == 0x5761A866 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x9541241f;  op2val:0x5761a866
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x9541241f, 0x5761a866, x13, 348, x17)

inst_106:
// rs1_val == 0x94B431BF and rs2_val == 0x09E4D1F4 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x94b431bf;  op2val:0x9e4d1f4
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x94b431bf, 0x9e4d1f4, x13, 352, x17)

inst_107:
// rs1_val == 0xDC8FE97F and rs2_val == 0x9E03793F 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0xdc8fe97f;  op2val:0x9e03793f
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0xdc8fe97f, 0x9e03793f, x13, 356, x17)

inst_108:
// rs1_val == 0xB903CEFF and rs2_val == 0x7F1071EC 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0xb903ceff;  op2val:0x7f1071ec
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0xb903ceff, 0x7f1071ec, x13, 360, x17)

inst_109:
// rs1_val == 0xB494A5FF and rs2_val == 0x9A7EF9E4 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0xb494a5ff;  op2val:0x9a7ef9e4
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0xb494a5ff, 0x9a7ef9e4, x13, 364, x17)

inst_110:
// rs1_val == 0xE2DD83FF and rs2_val == 0x59C05BB9 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0xe2dd83ff;  op2val:0x59c05bb9
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0xe2dd83ff, 0x59c05bb9, x13, 368, x17)

inst_111:
// rs1_val == 0xBBAFD7FF and rs2_val == 0xDE451397 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0xbbafd7ff;  op2val:0xde451397
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0xbbafd7ff, 0xde451397, x13, 372, x17)

inst_112:
// rs1_val == 0xCE5C4FFF and rs2_val == 0x40F27005 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0xce5c4fff;  op2val:0x40f27005
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0xce5c4fff, 0x40f27005, x13, 376, x17)

inst_113:
// rs1_val == 0x39935FFF and rs2_val == 0x24496FE3 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x39935fff;  op2val:0x24496fe3
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x39935fff, 0x24496fe3, x13, 380, x17)

inst_114:
// rs1_val == 0xEED7BFFF and rs2_val == 0xDE14BFF2 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0xeed7bfff;  op2val:0xde14bff2
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0xeed7bfff, 0xde14bff2, x13, 384, x17)

inst_115:
// rs1_val == 0x008E7FFF and rs2_val == 0xB808A677 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x8e7fff;  op2val:0xb808a677
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x8e7fff, 0xb808a677, x13, 388, x17)

inst_116:
// rs1_val == 0x12C2FFFF and rs2_val == 0x76B1FD3D 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x12c2ffff;  op2val:0x76b1fd3d
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x12c2ffff, 0x76b1fd3d, x13, 392, x17)

inst_117:
// rs1_val == 0xE3A5FFFF and rs2_val == 0x5DCF019D 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0xe3a5ffff;  op2val:0x5dcf019d
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0xe3a5ffff, 0x5dcf019d, x13, 396, x17)

inst_118:
// rs1_val == 0x9B03FFFF and rs2_val == 0x47B7097B 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x9b03ffff;  op2val:0x47b7097b
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x9b03ffff, 0x47b7097b, x13, 400, x17)

inst_119:
// rs1_val == 0x5F07FFFF and rs2_val == 0x759F1B43 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x5f07ffff;  op2val:0x759f1b43
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x5f07ffff, 0x759f1b43, x13, 404, x17)

inst_120:
// rs1_val == 0x33CFFFFF and rs2_val == 0x5B331999 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x33cfffff;  op2val:0x5b331999
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x33cfffff, 0x5b331999, x13, 408, x17)

inst_121:
// rs1_val == 0x709FFFFF and rs2_val == 0x2D37DE81 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x709fffff;  op2val:0x2d37de81
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x709fffff, 0x2d37de81, x13, 412, x17)

inst_122:
// rs1_val == 0xD1BFFFFF and rs2_val == 0xFCB627AF 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0xd1bfffff;  op2val:0xfcb627af
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0xd1bfffff, 0xfcb627af, x13, 416, x17)

inst_123:
// rs1_val == 0xAB7FFFFF and rs2_val == 0x1E0B4EE5 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0xab7fffff;  op2val:0x1e0b4ee5
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0xab7fffff, 0x1e0b4ee5, x13, 420, x17)

inst_124:
// rs1_val == 0x7CFFFFFF and rs2_val == 0xFB3E7196 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x7cffffff;  op2val:0xfb3e7196
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x7cffffff, 0xfb3e7196, x13, 424, x17)

inst_125:
// rs1_val == 0x59FFFFFF and rs2_val == 0xD9959A62 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x59ffffff;  op2val:0xd9959a62
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x59ffffff, 0xd9959a62, x13, 428, x17)

inst_126:
// rs1_val == 0xDBFFFFFF and rs2_val == 0xE08409F0 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0xdbffffff;  op2val:0xe08409f0
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0xdbffffff, 0xe08409f0, x13, 432, x17)

inst_127:
// rs1_val == 0xF7FFFFFF and rs2_val == 0x258ECECB 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0xf7ffffff;  op2val:0x258ececb
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0xf7ffffff, 0x258ececb, x13, 436, x17)

inst_128:
// rs1_val == 0x6FFFFFFF and rs2_val == 0xFF7D5EC0 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x6fffffff;  op2val:0xff7d5ec0
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x6fffffff, 0xff7d5ec0, x13, 440, x17)

inst_129:
// rs1_val == 0x9FFFFFFF and rs2_val == 0x4B6EA010 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x9fffffff;  op2val:0x4b6ea010
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x9fffffff, 0x4b6ea010, x13, 444, x17)

inst_130:
// rs1_val == 0x3FFFFFFF and rs2_val == 0xD885BBAC 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x3fffffff;  op2val:0xd885bbac
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x3fffffff, 0xd885bbac, x13, 448, x17)

inst_131:
// rs1_val == 0x7FFFFFFF and rs2_val == 0xBBE8F88D 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x7fffffff;  op2val:0xbbe8f88d
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x7fffffff, 0xbbe8f88d, x13, 452, x17)

inst_132:
// rs1_val == 0xFFFFFFFF and rs2_val == 0xE3D6E4B9 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0xffffffff;  op2val:0xe3d6e4b9
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0xffffffff, 0xe3d6e4b9, x13, 456, x17)

inst_133:
// rs2_val == 0x970216FD and rs1_val == 0x0494B6D2 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x494b6d2;  op2val:0x970216fd
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x494b6d2, 0x970216fd, x13, 460, x17)

inst_134:
// rs2_val == 0x5CB58B8F and rs1_val == 0xF2650B71 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0xf2650b71;  op2val:0x5cb58b8f
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0xf2650b71, 0x5cb58b8f, x13, 464, x17)

inst_135:
// rs2_val == 0x27EFDA6C and rs1_val == 0x21AF214A 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x21af214a;  op2val:0x27efda6c
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x21af214a, 0x27efda6c, x13, 468, x17)

inst_136:
// rs2_val == 0x1D1EF7C0 and rs1_val == 0x482EA760 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x482ea760;  op2val:0x1d1ef7c0
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x482ea760, 0x1d1ef7c0, x13, 472, x17)

inst_137:
// rs2_val == 0x0FC2A909 and rs1_val == 0x0F7A0443 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0xf7a0443;  op2val:0xfc2a909
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0xf7a0443, 0xfc2a909, x13, 476, x17)

inst_138:
// rs2_val == 0x04E9E4A6 and rs1_val == 0x69534048 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x69534048;  op2val:0x4e9e4a6
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x69534048, 0x4e9e4a6, x13, 480, x17)

inst_139:
// rs2_val == 0x025FDCD7 and rs1_val == 0x043E3EF5 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x43e3ef5;  op2val:0x25fdcd7
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x43e3ef5, 0x25fdcd7, x13, 484, x17)

inst_140:
// rs2_val == 0x01782EBC and rs1_val == 0x12FAD802 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x12fad802;  op2val:0x1782ebc
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x12fad802, 0x1782ebc, x13, 488, x17)

inst_141:
// rs2_val == 0x00A39575 and rs1_val == 0x119B4FE5 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x119b4fe5;  op2val:0xa39575
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x119b4fe5, 0xa39575, x13, 492, x17)

inst_142:
// rs2_val == 0x0049886F and rs1_val == 0x7DB224CB 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x7db224cb;  op2val:0x49886f
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x7db224cb, 0x49886f, x13, 496, x17)

inst_143:
// rs2_val == 0x0025693C and rs1_val == 0xB45F51C3 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0xb45f51c3;  op2val:0x25693c
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0xb45f51c3, 0x25693c, x13, 500, x17)

inst_144:
// rs2_val == 0x0018031A and rs1_val == 0x41536363 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x41536363;  op2val:0x18031a
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x41536363, 0x18031a, x13, 504, x17)

inst_145:
// rs2_val == 0x000A8267 and rs1_val == 0x1A953CCA 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x1a953cca;  op2val:0xa8267
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x1a953cca, 0xa8267, x13, 508, x17)

inst_146:
// rs2_val == 0x00073010 and rs1_val == 0x14186EBF 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x14186ebf;  op2val:0x73010
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x14186ebf, 0x73010, x13, 512, x17)

inst_147:
// rs2_val == 0x00038734 and rs1_val == 0xF33C1A7F 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0xf33c1a7f;  op2val:0x38734
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0xf33c1a7f, 0x38734, x13, 516, x17)

inst_148:
// rs2_val == 0x0001EAB1 and rs1_val == 0x8DCE6F52 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x8dce6f52;  op2val:0x1eab1
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x8dce6f52, 0x1eab1, x13, 520, x17)

inst_149:
// rs2_val == 0x0000B8EC and rs1_val == 0x3096C6C8 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x3096c6c8;  op2val:0xb8ec
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x3096c6c8, 0xb8ec, x13, 524, x17)

inst_150:
// rs2_val == 0x00007530 and rs1_val == 0x9C461CB5 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x9c461cb5;  op2val:0x7530
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x9c461cb5, 0x7530, x13, 528, x17)

inst_151:
// rs2_val == 0x00003ED5 and rs1_val == 0x27756991 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x27756991;  op2val:0x3ed5
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x27756991, 0x3ed5, x13, 532, x17)

inst_152:
// rs2_val == 0x00001055 and rs1_val == 0x62D74145 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x62d74145;  op2val:0x1055
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x62d74145, 0x1055, x13, 536, x17)

inst_153:
// rs2_val == 0x00000E9E and rs1_val == 0x931719FD 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x931719fd;  op2val:0xe9e
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x931719fd, 0xe9e, x13, 540, x17)

inst_154:
// rs2_val == 0x0000059B and rs1_val == 0x965768E0 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x965768e0;  op2val:0x59b
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x965768e0, 0x59b, x13, 544, x17)

inst_155:
// rs2_val == 0x00000208 and rs1_val == 0x74057241 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x74057241;  op2val:0x208
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x74057241, 0x208, x13, 548, x17)

inst_156:
// rs2_val == 0x000001E8 and rs1_val == 0x5E617F8E 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x5e617f8e;  op2val:0x1e8
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x5e617f8e, 0x1e8, x13, 552, x17)

inst_157:
// rs2_val == 0x000000D2 and rs1_val == 0x3E361858 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x3e361858;  op2val:0xd2
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x3e361858, 0xd2, x13, 556, x17)

inst_158:
// rs2_val == 0x00000071 and rs1_val == 0x13041452 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x13041452;  op2val:0x71
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x13041452, 0x71, x13, 560, x17)

inst_159:
// rs2_val == 0x00000034 and rs1_val == 0x4BDBF090 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x4bdbf090;  op2val:0x34
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x4bdbf090, 0x34, x13, 564, x17)

inst_160:
// rs2_val == 0x00000019 and rs1_val == 0x9C3ECB54 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x9c3ecb54;  op2val:0x19
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x9c3ecb54, 0x19, x13, 568, x17)

inst_161:
// rs2_val == 0x0000000B and rs1_val == 0x421E7A60 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x421e7a60;  op2val:0xb
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x421e7a60, 0xb, x13, 572, x17)

inst_162:
// rs2_val == 0x00000005 and rs1_val == 0x2577C1EC 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x2577c1ec;  op2val:0x5
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x2577c1ec, 0x5, x13, 576, x17)

inst_163:
// rs2_val == 0x00000002 and rs1_val == 0x19AF685D 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x19af685d;  op2val:0x2
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x19af685d, 0x2, x13, 580, x17)

inst_164:
// rs2_val == 0x00000001 and rs1_val == 0x2FF36007 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x2ff36007;  op2val:0x1
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x2ff36007, 0x1, x13, 584, x17)

inst_165:
// rs2_val == 0x00000000 and rs1_val == 0xE286852C 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0xe286852c;  op2val:0x0
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0xe286852c, 0x0, x13, 588, x17)

inst_166:
// rs1_val == 0xC511488A and rs2_val == 0x97BDD982 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0xc511488a;  op2val:0x97bdd982
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0xc511488a, 0x97bdd982, x13, 592, x17)

inst_167:
// rs1_val == 0x65151C41 and rs2_val == 0x367E5D6D 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x65151c41;  op2val:0x367e5d6d
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x65151c41, 0x367e5d6d, x13, 596, x17)

inst_168:
// rs1_val == 0x24CA83B3 and rs2_val == 0x623D8EB7 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x24ca83b3;  op2val:0x623d8eb7
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x24ca83b3, 0x623d8eb7, x13, 600, x17)

inst_169:
// rs1_val == 0x1C3B66FB and rs2_val == 0x21870F0B 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x1c3b66fb;  op2val:0x21870f0b
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x1c3b66fb, 0x21870f0b, x13, 604, x17)

inst_170:
// rs1_val == 0x0A8A6FD0 and rs2_val == 0x82450164 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0xa8a6fd0;  op2val:0x82450164
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0xa8a6fd0, 0x82450164, x13, 608, x17)

inst_171:
// rs1_val == 0x069CA08C and rs2_val == 0x8F2DF760 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x69ca08c;  op2val:0x8f2df760
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x69ca08c, 0x8f2df760, x13, 612, x17)

inst_172:
// rs1_val == 0x03552C95 and rs2_val == 0x7CA07386 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x3552c95;  op2val:0x7ca07386
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x3552c95, 0x7ca07386, x13, 616, x17)

inst_173:
// rs1_val == 0x0174EA19 and rs2_val == 0x19DE2BC1 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x174ea19;  op2val:0x19de2bc1
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x174ea19, 0x19de2bc1, x13, 620, x17)

inst_174:
// rs1_val == 0x00A454F2 and rs2_val == 0xEC3FBF4D 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0xa454f2;  op2val:0xec3fbf4d
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0xa454f2, 0xec3fbf4d, x13, 624, x17)

inst_175:
// rs1_val == 0x007E9BEE and rs2_val == 0x164F1513 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x7e9bee;  op2val:0x164f1513
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x7e9bee, 0x164f1513, x13, 628, x17)

inst_176:
// rs1_val == 0x002C7CD0 and rs2_val == 0xACC6D8F2 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x2c7cd0;  op2val:0xacc6d8f2
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x2c7cd0, 0xacc6d8f2, x13, 632, x17)

inst_177:
// rs1_val == 0x00177310 and rs2_val == 0xA123F501 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x177310;  op2val:0xa123f501
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x177310, 0xa123f501, x13, 636, x17)

inst_178:
// rs1_val == 0x00091609 and rs2_val == 0xB57A6A1D 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x91609;  op2val:0xb57a6a1d
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x91609, 0xb57a6a1d, x13, 640, x17)

inst_179:
// rs1_val == 0x00040BE0 and rs2_val == 0xE90794DF 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x40be0;  op2val:0xe90794df
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x40be0, 0xe90794df, x13, 644, x17)

inst_180:
// rs1_val == 0x00028D1B and rs2_val == 0xAF5570EE 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x28d1b;  op2val:0xaf5570ee
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x28d1b, 0xaf5570ee, x13, 648, x17)

inst_181:
// rs1_val == 0x0001FBE5 and rs2_val == 0xD8B9B45C 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x1fbe5;  op2val:0xd8b9b45c
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x1fbe5, 0xd8b9b45c, x13, 652, x17)

inst_182:
// rs1_val == 0x0000AAC1 and rs2_val == 0x1BA1192E 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0xaac1;  op2val:0x1ba1192e
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0xaac1, 0x1ba1192e, x13, 656, x17)

inst_183:
// rs1_val == 0x000062C3 and rs2_val == 0x49FE85B0 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x62c3;  op2val:0x49fe85b0
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x62c3, 0x49fe85b0, x13, 660, x17)

inst_184:
// rs1_val == 0x000022FD and rs2_val == 0x4105CCA7 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x22fd;  op2val:0x4105cca7
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x22fd, 0x4105cca7, x13, 664, x17)

inst_185:
// rs1_val == 0x000016B3 and rs2_val == 0xD7185DDA 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x16b3;  op2val:0xd7185dda
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x16b3, 0xd7185dda, x13, 668, x17)

inst_186:
// rs1_val == 0x00000A38 and rs2_val == 0xA7A11490 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0xa38;  op2val:0xa7a11490
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0xa38, 0xa7a11490, x13, 672, x17)

inst_187:
// rs1_val == 0x000006A7 and rs2_val == 0xA9964AEF 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x6a7;  op2val:0xa9964aef
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x6a7, 0xa9964aef, x13, 676, x17)

inst_188:
// rs1_val == 0x000003B9 and rs2_val == 0x4B4D8474 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x3b9;  op2val:0x4b4d8474
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x3b9, 0x4b4d8474, x13, 680, x17)

inst_189:
// rs1_val == 0x00000190 and rs2_val == 0x76C468AE 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x190;  op2val:0x76c468ae
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x190, 0x76c468ae, x13, 684, x17)

inst_190:
// rs1_val == 0x000000D4 and rs2_val == 0x09208A65 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0xd4;  op2val:0x9208a65
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0xd4, 0x9208a65, x13, 688, x17)

inst_191:
// rs1_val == 0x00000067 and rs2_val == 0x8743FEB6 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x67;  op2val:0x8743feb6
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x67, 0x8743feb6, x13, 692, x17)

inst_192:
// rs1_val == 0x00000039 and rs2_val == 0xA66B0D38 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x39;  op2val:0xa66b0d38
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x39, 0xa66b0d38, x13, 696, x17)

inst_193:
// rs1_val == 0x0000001C and rs2_val == 0xFB710734 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x1c;  op2val:0xfb710734
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x1c, 0xfb710734, x13, 700, x17)

inst_194:
// rs1_val == 0x0000000E and rs2_val == 0xA26B7F62 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0xe;  op2val:0xa26b7f62
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0xe, 0xa26b7f62, x13, 704, x17)

inst_195:
// rs1_val == 0x00000007 and rs2_val == 0x4DABB481 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x7;  op2val:0x4dabb481
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x7, 0x4dabb481, x13, 708, x17)

inst_196:
// rs1_val == 0x00000003 and rs2_val == 0x2FA91425 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x3;  op2val:0x2fa91425
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x3, 0x2fa91425, x13, 712, x17)

inst_197:
// rs1_val == 0x00000001 and rs2_val == 0x965EDA32 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x1;  op2val:0x965eda32
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x1, 0x965eda32, x13, 716, x17)

inst_198:
// rs1_val == 0x00000000 and rs2_val == 0xC7FDE805 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x0;  op2val:0xc7fde805
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x0, 0xc7fde805, x13, 720, x17)

inst_199:
// rs2_val == 0x6D3F408C and rs1_val == 0xFFEC35FE 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0xffec35fe;  op2val:0x6d3f408c
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0xffec35fe, 0x6d3f408c, x13, 724, x17)

inst_200:
// rs2_val == 0x946A3674 and rs1_val == 0x976AD220 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x976ad220;  op2val:0x946a3674
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x976ad220, 0x946a3674, x13, 728, x17)

inst_201:
// rs2_val == 0xDC6113A4 and rs1_val == 0x5990FE96 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x5990fe96;  op2val:0xdc6113a4
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x5990fe96, 0xdc6113a4, x13, 732, x17)

inst_202:
// rs2_val == 0xE42A809C and rs1_val == 0xC96EFDC4 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0xc96efdc4;  op2val:0xe42a809c
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0xc96efdc4, 0xe42a809c, x13, 736, x17)

inst_203:
// rs2_val == 0xF1A25760 and rs1_val == 0xAB8534C1 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0xab8534c1;  op2val:0xf1a25760
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0xab8534c1, 0xf1a25760, x13, 740, x17)

inst_204:
// rs2_val == 0xFB37BEC9 and rs1_val == 0xD1142724 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0xd1142724;  op2val:0xfb37bec9
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0xd1142724, 0xfb37bec9, x13, 744, x17)

inst_205:
// rs2_val == 0xFCE51A66 and rs1_val == 0xF65E7737 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0xf65e7737;  op2val:0xfce51a66
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0xf65e7737, 0xfce51a66, x13, 748, x17)

inst_206:
// rs2_val == 0xFEDEBB9C and rs1_val == 0x16CBC21C 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x16cbc21c;  op2val:0xfedebb9c
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x16cbc21c, 0xfedebb9c, x13, 752, x17)

inst_207:
// rs2_val == 0xFF69340A and rs1_val == 0xDBDD4DD9 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0xdbdd4dd9;  op2val:0xff69340a
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0xdbdd4dd9, 0xff69340a, x13, 756, x17)

inst_208:
// rs2_val == 0xFF9CF3F4 and rs1_val == 0x4BD90A77 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x4bd90a77;  op2val:0xff9cf3f4
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x4bd90a77, 0xff9cf3f4, x13, 760, x17)

inst_209:
// rs2_val == 0xFFC00793 and rs1_val == 0xCEBE24D9 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0xcebe24d9;  op2val:0xffc00793
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0xcebe24d9, 0xffc00793, x13, 764, x17)

inst_210:
// rs2_val == 0xFFEE1FC4 and rs1_val == 0xA0E0BD86 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0xa0e0bd86;  op2val:0xffee1fc4
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0xa0e0bd86, 0xffee1fc4, x13, 768, x17)

inst_211:
// rs2_val == 0xFFF06038 and rs1_val == 0x3CC279B3 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x3cc279b3;  op2val:0xfff06038
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x3cc279b3, 0xfff06038, x13, 772, x17)

inst_212:
// rs2_val == 0xFFF93D53 and rs1_val == 0x754F9B96 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x754f9b96;  op2val:0xfff93d53
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x754f9b96, 0xfff93d53, x13, 776, x17)

inst_213:
// rs2_val == 0xFFFC47E8 and rs1_val == 0x72745307 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x72745307;  op2val:0xfffc47e8
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x72745307, 0xfffc47e8, x13, 780, x17)

inst_214:
// rs2_val == 0xFFFE7302 and rs1_val == 0xDCAE6D62 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0xdcae6d62;  op2val:0xfffe7302
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0xdcae6d62, 0xfffe7302, x13, 784, x17)

inst_215:
// rs2_val == 0xFFFF1CE8 and rs1_val == 0x7C2C966D 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x7c2c966d;  op2val:0xffff1ce8
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x7c2c966d, 0xffff1ce8, x13, 788, x17)

inst_216:
// rs2_val == 0xFFFFB5C6 and rs1_val == 0x9BB4752D 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x9bb4752d;  op2val:0xffffb5c6
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x9bb4752d, 0xffffb5c6, x13, 792, x17)

inst_217:
// rs2_val == 0xFFFFDFA4 and rs1_val == 0x17BE082F 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x17be082f;  op2val:0xffffdfa4
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x17be082f, 0xffffdfa4, x13, 796, x17)

inst_218:
// rs2_val == 0xFFFFEF0B and rs1_val == 0x109FF475 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x109ff475;  op2val:0xffffef0b
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x109ff475, 0xffffef0b, x13, 800, x17)

inst_219:
// rs2_val == 0xFFFFF43F and rs1_val == 0x00B97EA6 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0xb97ea6;  op2val:0xfffff43f
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0xb97ea6, 0xfffff43f, x13, 804, x17)

inst_220:
// rs2_val == 0xFFFFFB4A and rs1_val == 0xF956EC0B 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0xf956ec0b;  op2val:0xfffffb4a
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0xf956ec0b, 0xfffffb4a, x13, 808, x17)

inst_221:
// rs2_val == 0xFFFFFDA4 and rs1_val == 0x70FC1AFC 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x70fc1afc;  op2val:0xfffffda4
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x70fc1afc, 0xfffffda4, x13, 812, x17)

inst_222:
// rs2_val == 0xFFFFFECB and rs1_val == 0x6348306E 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x6348306e;  op2val:0xfffffecb
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x6348306e, 0xfffffecb, x13, 816, x17)

inst_223:
// rs2_val == 0xFFFFFF54 and rs1_val == 0x66B072B9 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x66b072b9;  op2val:0xffffff54
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x66b072b9, 0xffffff54, x13, 820, x17)

inst_224:
// rs2_val == 0xFFFFFFA9 and rs1_val == 0x7FF822ED 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x7ff822ed;  op2val:0xffffffa9
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x7ff822ed, 0xffffffa9, x13, 824, x17)

inst_225:
// rs2_val == 0xFFFFFFC3 and rs1_val == 0xE918BE9F 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0xe918be9f;  op2val:0xffffffc3
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0xe918be9f, 0xffffffc3, x13, 828, x17)

inst_226:
// rs2_val == 0xFFFFFFE7 and rs1_val == 0xE4BAE7F6 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0xe4bae7f6;  op2val:0xffffffe7
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0xe4bae7f6, 0xffffffe7, x13, 832, x17)

inst_227:
// rs2_val == 0xFFFFFFF1 and rs1_val == 0xDE9A896F 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0xde9a896f;  op2val:0xfffffff1
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0xde9a896f, 0xfffffff1, x13, 836, x17)

inst_228:
// rs2_val == 0xFFFFFFF8 and rs1_val == 0x2881E531 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x2881e531;  op2val:0xfffffff8
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x2881e531, 0xfffffff8, x13, 840, x17)

inst_229:
// rs2_val == 0xFFFFFFFC and rs1_val == 0x1475F78D 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x1475f78d;  op2val:0xfffffffc
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x1475f78d, 0xfffffffc, x13, 844, x17)

inst_230:
// rs2_val == 0xFFFFFFFE and rs1_val == 0xE59CF78F 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0xe59cf78f;  op2val:0xfffffffe
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0xe59cf78f, 0xfffffffe, x13, 848, x17)

inst_231:
// rs2_val == 0xFFFFFFFF and rs1_val == 0xB66B3284 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0xb66b3284;  op2val:0xffffffff
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0xb66b3284, 0xffffffff, x13, 852, x17)

inst_232:
// rs1_val == 0x6F4930C9 and rs2_val == 0x39422745 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x6f4930c9;  op2val:0x39422745
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x6f4930c9, 0x39422745, x13, 856, x17)

inst_233:
// rs1_val == 0x85D97467 and rs2_val == 0x58FA6E1C 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x85d97467;  op2val:0x58fa6e1c
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x85d97467, 0x58fa6e1c, x13, 860, x17)

inst_234:
// rs1_val == 0xC70AFC93 and rs2_val == 0x2D143295 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0xc70afc93;  op2val:0x2d143295
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0xc70afc93, 0x2d143295, x13, 864, x17)

inst_235:
// rs1_val == 0xE911655F and rs2_val == 0xD230B46C 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0xe911655f;  op2val:0xd230b46c
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0xe911655f, 0xd230b46c, x13, 868, x17)

inst_236:
// rs1_val == 0xF4AB0A39 and rs2_val == 0x4D753AC1 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0xf4ab0a39;  op2val:0x4d753ac1
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0xf4ab0a39, 0x4d753ac1, x13, 872, x17)

inst_237:
// rs1_val == 0xF8BD4821 and rs2_val == 0x1E9667C2 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0xf8bd4821;  op2val:0x1e9667c2
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0xf8bd4821, 0x1e9667c2, x13, 876, x17)

inst_238:
// rs1_val == 0xFCD7E667 and rs2_val == 0xAE4839A1 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0xfcd7e667;  op2val:0xae4839a1
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0xfcd7e667, 0xae4839a1, x13, 880, x17)

inst_239:
// rs1_val == 0xFE71CFDF and rs2_val == 0x6A013380 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0xfe71cfdf;  op2val:0x6a013380
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0xfe71cfdf, 0x6a013380, x13, 884, x17)

inst_240:
// rs1_val == 0xFF1C11AE and rs2_val == 0x59432A19 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0xff1c11ae;  op2val:0x59432a19
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0xff1c11ae, 0x59432a19, x13, 888, x17)

inst_241:
// rs1_val == 0xFF89799A and rs2_val == 0xCEB506F6 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0xff89799a;  op2val:0xceb506f6
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0xff89799a, 0xceb506f6, x13, 892, x17)

inst_242:
// rs1_val == 0xFFC80B13 and rs2_val == 0xC5EC6148 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0xffc80b13;  op2val:0xc5ec6148
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0xffc80b13, 0xc5ec6148, x13, 896, x17)

inst_243:
// rs1_val == 0xFFE94647 and rs2_val == 0x99EF1857 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0xffe94647;  op2val:0x99ef1857
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0xffe94647, 0x99ef1857, x13, 900, x17)

inst_244:
// rs1_val == 0xFFF263CF and rs2_val == 0x14B91C79 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0xfff263cf;  op2val:0x14b91c79
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0xfff263cf, 0x14b91c79, x13, 904, x17)

inst_245:
// rs1_val == 0xFFF919A1 and rs2_val == 0xA86B8A6E 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0xfff919a1;  op2val:0xa86b8a6e
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0xfff919a1, 0xa86b8a6e, x13, 908, x17)

inst_246:
// rs1_val == 0xFFFDE89D and rs2_val == 0x08208D09 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0xfffde89d;  op2val:0x8208d09
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0xfffde89d, 0x8208d09, x13, 912, x17)

inst_247:
// rs1_val == 0xFFFEC9D0 and rs2_val == 0x69B1DCBF 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0xfffec9d0;  op2val:0x69b1dcbf
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0xfffec9d0, 0x69b1dcbf, x13, 916, x17)

inst_248:
// rs1_val == 0xFFFF5576 and rs2_val == 0x807DA245 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0xffff5576;  op2val:0x807da245
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0xffff5576, 0x807da245, x13, 920, x17)

inst_249:
// rs1_val == 0xFFFFB6DF and rs2_val == 0x95A4D257 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0xffffb6df;  op2val:0x95a4d257
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0xffffb6df, 0x95a4d257, x13, 924, x17)

inst_250:
// rs1_val == 0xFFFFC561 and rs2_val == 0x735C076B 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0xffffc561;  op2val:0x735c076b
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0xffffc561, 0x735c076b, x13, 928, x17)

inst_251:
// rs1_val == 0xFFFFEAB5 and rs2_val == 0xE5F0307E 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0xffffeab5;  op2val:0xe5f0307e
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0xffffeab5, 0xe5f0307e, x13, 932, x17)

inst_252:
// rs1_val == 0xFFFFF602 and rs2_val == 0xE8DAC663 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0xfffff602;  op2val:0xe8dac663
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0xfffff602, 0xe8dac663, x13, 936, x17)

inst_253:
// rs1_val == 0xFFFFF8B1 and rs2_val == 0x0109C207 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0xfffff8b1;  op2val:0x109c207
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0xfffff8b1, 0x109c207, x13, 940, x17)

inst_254:
// rs1_val == 0xFFFFFCA0 and rs2_val == 0x600FECC1 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0xfffffca0;  op2val:0x600fecc1
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0xfffffca0, 0x600fecc1, x13, 944, x17)

inst_255:
// rs1_val == 0xFFFFFECC and rs2_val == 0xFB7F6F5D 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0xfffffecc;  op2val:0xfb7f6f5d
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0xfffffecc, 0xfb7f6f5d, x13, 948, x17)

inst_256:
// rs1_val == 0xFFFFFF6E and rs2_val == 0x5CD2875E 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0xffffff6e;  op2val:0x5cd2875e
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0xffffff6e, 0x5cd2875e, x13, 952, x17)

inst_257:
// rs1_val == 0xFFFFFF84 and rs2_val == 0xACCA7F0D 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0xffffff84;  op2val:0xacca7f0d
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0xffffff84, 0xacca7f0d, x13, 956, x17)

inst_258:
// rs1_val == 0xFFFFFFDD and rs2_val == 0x5AE6A228 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0xffffffdd;  op2val:0x5ae6a228
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0xffffffdd, 0x5ae6a228, x13, 960, x17)

inst_259:
// rs1_val == 0xFFFFFFE7 and rs2_val == 0xFF1E5BEF 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0xffffffe7;  op2val:0xff1e5bef
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0xffffffe7, 0xff1e5bef, x13, 964, x17)

inst_260:
// rs1_val == 0xFFFFFFF4 and rs2_val == 0x137A9777 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0xfffffff4;  op2val:0x137a9777
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0xfffffff4, 0x137a9777, x13, 968, x17)

inst_261:
// rs1_val == 0xFFFFFFFA and rs2_val == 0x854A9657 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0xfffffffa;  op2val:0x854a9657
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0xfffffffa, 0x854a9657, x13, 972, x17)

inst_262:
// rs1_val == 0xFFFFFFFD and rs2_val == 0xCF84B683 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0xfffffffd;  op2val:0xcf84b683
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0xfffffffd, 0xcf84b683, x13, 976, x17)

inst_263:
// rs1_val == 0xFFFFFFFE and rs2_val == 0x93FDCAB8 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0xfffffffe;  op2val:0x93fdcab8
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0xfffffffe, 0x93fdcab8, x13, 980, x17)

inst_264:
// rs2_val == 0x80000000 and rs1_val == 0xAFC08ACE 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0xafc08ace;  op2val:0x80000000
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0xafc08ace, 0x80000000, x13, 984, x17)

inst_265:
// rs2_val == 0x40000000 and rs1_val == 0xAF6E9055 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0xaf6e9055;  op2val:0x40000000
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0xaf6e9055, 0x40000000, x13, 988, x17)

inst_266:
// rs2_val == 0xE0000000 and rs1_val == 0x5B130474 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x5b130474;  op2val:0xe0000000
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x5b130474, 0xe0000000, x13, 992, x17)

inst_267:
// rs2_val == 0xB7400000 and rs1_val == 0xBC5FB419 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0xbc5fb419;  op2val:0xb7400000
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0xbc5fb419, 0xb7400000, x13, 996, x17)

inst_268:
// rs2_val == 0xCF7AC620 and rs1_val == 0x27A16894 
// opcode: pack ; op1:x10; op2:x11; dest:x12; op1val:0x27a16894;  op2val:0xcf7ac620
TEST_RR_OP(pack, x12, x10, x11, 0x00000000, 0x27a16894, 0xcf7ac620, x13, 1000, x17)
#endif


RVTEST_CODE_END
RVMODEL_HALT

RVTEST_DATA_BEGIN
.align 4
rvtest_data:
.word 0xbabecafe
RVTEST_DATA_END

RVMODEL_DATA_BEGIN


signature_x14_0:
    .fill 0*(XLEN/32),4,0xdeadbeef


signature_x14_1:
    .fill 18*(XLEN/32),4,0xdeadbeef


signature_x13_0:
    .fill 251*(XLEN/32),4,0xdeadbeef

#ifdef rvtest_mtrap_routine

mtrap_sigptr:
    .fill 64*(XLEN/32),4,0xdeadbeef

#endif

#ifdef rvtest_gpr_save

gpr_save:
    .fill 32*(XLEN/32),4,0xdeadbeef

#endif

RVMODEL_DATA_END
